Run of fresh-releases for ruby-prawn-svg

Try this locally (using silver-platter):

debian-svp new-upstream ruby-prawn-svg 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
[2021-04-04 16:46:08] Running ['new-upstream']
[2021-04-04 16:46:08] Opening branch at https://salsa.debian.org/keithp/ruby-prawn-svg.git/,branch=debian
[2021-04-04 16:46:10] Cached branch URL https://janitor.debian.net/git/ruby-prawn-svg,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/ruby-prawn-svg/": location is a repository.
[2021-04-04 16:46:10] Total 2826 (delta 1507), reused 2767 (delta 1451), pack-reused 0
[2021-04-04 16:46:11] Workspace ready - starting.
[2021-04-04 16:46:11] Using upstream branch https://github.com/mogest/prawn-svg.git (guessed)
[2021-04-04 16:46:12] Total 75 (delta 41), reused 73 (delta 40), pack-reused 0
[2021-04-04 16:46:13] Using version string 0.32.0.
[2021-04-04 16:46:13] No upstream upstream-revision format specified, trying tag:0.31.0
[2021-04-04 16:46:13] No upstream upstream-revision format specified, trying tag:ruby-prawn-svg-0.31.0
[2021-04-04 16:46:13] No upstream upstream-revision format specified, trying tag:v0.31.0
[2021-04-04 16:46:13] Including upstream history, since previous upstream version (0.31.0) is present in packaging branch history.
[2021-04-04 16:46:13] No upstream upstream-revision format specified, trying tag:0.32.0
[2021-04-04 16:46:13] No upstream upstream-revision format specified, trying tag:ruby-prawn-svg-0.32.0
[2021-04-04 16:46:13] No upstream upstream-revision format specified, trying tag:v0.32.0
[2021-04-04 16:46:13] Using uscan to look for the upstream tarball.
[2021-04-04 16:46:33] Upstream version 0.32.0 (upstream/0.32.0) is older than current tip.
[2021-04-04 16:46:37] Not storing pristine-tar metadata, since there is no pristine-tar branch.
[2021-04-04 16:46:56] All changes applied successfully.
[2021-04-04 16:47:04] Committing to: /tmp/tmputlp06tz/ruby-prawn-svg/
[2021-04-04 16:47:04] added .github
[2021-04-04 16:47:04] added .github/workflows
[2021-04-04 16:47:04] added .github/workflows/test.yml
[2021-04-04 16:47:04] deleted .travis.yml
[2021-04-04 16:47:04] modified README.md
[2021-04-04 16:47:04] modified debian/changelog
[2021-04-04 16:47:04] modified lib/prawn/svg/elements/base.rb
[2021-04-04 16:47:04] modified lib/prawn/svg/elements/call_duplicator.rb
[2021-04-04 16:47:04] modified lib/prawn/svg/elements/text_component.rb
[2021-04-04 16:47:04] modified lib/prawn/svg/interface.rb
[2021-04-04 16:47:04] modified lib/prawn/svg/version.rb
[2021-04-04 16:47:04] modified prawn-svg.gemspec
[2021-04-04 16:47:04] modified spec/integration_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/css/stylesheets_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/elements/base_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/elements/line_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/elements/marker_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/elements/polygon_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/elements/polyline_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/elements/text_spec.rb
[2021-04-04 16:47:04] modified spec/prawn/svg/pathable_spec.rb
[2021-04-04 16:47:04] modified spec/spec_helper.rb
[2021-04-04 16:47:07] Committed revision 248.
[2021-04-04 16:47:11] Merged new upstream version 0.32.0 (previous: 0.31.0)
[2021-04-04 16:47:11] Opened schroot session unstable-amd64-sbuild-0ba9f32b-218a-4a17-9295-5eb30f4068d7 (from unstable-amd64-sbuild)
[2021-04-04 16:47:11] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unaccpetable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f97b185c850>, [functools.partial(<function python_tie_breaker at 0x7f97b34aac10>, <GitWorkingTree of /tmp/tmputlp06tz/ruby-prawn-svg>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-0ba9f32b-218a-4a17-9295-5eb30f4068d7'), <function popcon_tie_breaker at 0x7f97b3493e50>]))]
[2021-04-04 16:47:11] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-04 16:48:30] Built ['ruby-prawn-svg_0.32.0-1~jan+nur1_amd64.changes'].
[2021-04-04 16:48:30] Running lintian
[2021-04-04 16:48:35] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')

Summary

Merged new upstream version: 0.32.0 (was: 0.31.0).

Full worker log Full build log